## org.apache.ivy.osgi.obr.filter
Class UniOperatorFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter
          org.apache.ivy.osgi.obr.filter.UniOperatorFilter

Direct Known Subclasses:
  NotFilter

    public abstract class UniOperatorFilter

extends RequirementFilter

Constructor Summary
`UniOperatorFilter(RequirementFilter subFilter)`

Method Summary
`void` `append(java.lang.StringBuffer builder)`
`boolean` `equals(java.lang.Object obj)`
`RequirementFilter` `getSubFilter()`
`int` `hashCode()`
`protected abstract char` `operator()`

Methods inherited from class org.apache.ivy.osgi.obr.xml.RequirementFilter
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniOperatorFilter

    public UniOperatorFilter(RequirementFilter subFilter)

Method Detail

### operator

    protected abstract char operator()

### append

    public void append(java.lang.StringBuffer builder)

  Specified by:
    `append` in class `RequirementFilter`

### getSubFilter

    public RequirementFilter getSubFilter()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`